
ChiliProject - Bug # 466: SVN: Apache initialization error

Status: Closed Priority: Normal
Author: Artem Naluzhnyy Category: SCM
Created: 2011-06-11 Assignee:
Updated: 2011-06-16 Due date:
Remote issue URL:
Affected version:
Description: Missing Apache2::Module::get_config call causes Apache initialization error: <pre>Global symbol "$cfg" 

requires explicit package name</pre>

Introduced by commit:90c713d2.

Fix: <pre>
--- Redmine.pm.orig 2011-06-11 05:13:32.000000000 +0300
+++ Redmine.pm 2011-06-11 04:32:54.000000000 +0300
@@ -480,6 +480,7 @@
 sub get_project_identifier {
     my $r = shift;

+    my $cfg = Apache2::Module::get_config(__PACKAGE__, $r->server, $r->per_dir_config);
     my $location = $r->location;
     my ($identifier) = $r->uri =~ m{$location/*([^/]+)};
     $identifier =~ s/\.git$// if (defined $cfg->{RedmineGitSmartHttp} and $cfg->{RedmineGitSmartHttp});
</pre>

Associated revisions
2011-06-16 09:12 pm - Felix SchÃ¤fer 
Fix an apache perl module error. #466

Contributed by Artem Naluzhnyy.

History
2011-06-11 04:54 pm - Artem Naluzhnyy
- Target version set to 2.0.0

2011-06-16 07:13 pm - Felix Schäfer
- Status changed from Open to Closed

Mmh, I can't remember having had this problem, might be because I probably don't use that version yet.

Committed in commit:0c03142832614e397e1795090d776fe4e51320fb, thanks!
